Subject: bug#76187: vc-git-test-dir-branch-headers failure on Fedora

From: Eli Zaretskii <[email-masked]>
Date: Wed, 12 Feb 2025 15:03:57 +0200

> Cc: [email-masked]
> Date: Tue, 11 Feb 2025 13:12:44 -0800
> From: Paul Eggert <[email-masked]>
> 
> On 2/11/25 12:43, Kévin Le Gouguec wrote:
> > Another git process seems to be running in this repository,
> 
> I guess the test won't work with "make -j check", since some other test 
> might also be running git in that repository. If my guess is right, to 
> fix this you can arrange for the test to run in a clone instead. 
> Similarly for any other test that might want to alter that repository or 
> its working files.

Or just arrange for this test to wait for a while until the lock is
freed.